Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

Get account profile information

POST/v1/account.getInfo
Authorization
AuthorizationBearer token · headerrequired
Request body
requiredapplication/json
idIDSearch
Show properties
accountIdinteger<int32>

Account ID to search for

min 0 · min length 7
steamId64string

SteamID64 to search for

min length 17 · max length 17
vanityVanitySearch
Show properties
typestringrequired

Which type of vanity to search for

Allowed:steaminternal
valuestringrequired

Vanity to search for

min length 2 · matches ^[a-zA-Z0-9-_]+$
Responses
200

OK

accountIdinteger<int32>required

The account id

min 0
animatedAvatarstringrequired

The animated avatar of the account

appPrivacystringrequired

The privacy of the account

Allowed:privatepublicfriends_only
appsinteger<int32>required

The number of apps the account has

min 0
avatarstringrequired

The avatar hash of the account

avatarFramestringrequired

The avatar frame of the account

awardsGiveninteger<int32>required

The number of awards the account has

min 0
awardsReceivedinteger<int32>required

The number of awards the account has

min 0
backgroundstringrequired

The background of the account

badgesinteger<int32>required

The number of badges the account has

min 0
bansinteger<int32>required

The number of bans

min 0
cityLeaderboardCity | null

The city of the account

Show properties
namestringrequired

The name of the city

communityBanbooleanrequired

If the account is community banned or not

connectionsConnection[] | nullrequired

The connections of the account

Show properties
Array of Connection
avatarstringrequired

The avatar of the connected account

connectionIdstringrequired

The public id of the connection

externalIdstringrequired

The external id of the connected account

failedbooleanrequired

Whether the connection has failed to refresh or not

hidebooleanrequired

Whether the connection should be hidden or not

namestringrequired

The name of the connected account

providerstringrequired

The provider to connect with

Allowed:discordpatreonkickreddittwitchyoutubexdomain
verifiedbooleanrequired

Whether the connection has been verified or not

countryLeaderboardCountry | null

The country of the account

Show properties
codestring

The code of the country

namestringrequired

The name of the country

createdAtstring<date-time> | nullrequired

The time the account was created

currentBestRanksBestLeaderboardRank[] | nullrequired

The current best ranks

Show properties
Array of BestLeaderboardRank
leaderboardstringrequired

The leaderboard of the best leaderboard

Allowed:appsapp_playtimeapp_valid_playtimeawards_givenawards_receivedbansgame_bansvac_bansdonationsfoil_badgesnormal_badgesbadgesplaytimevalid_playtimepoints_givenpoints_receivedsteam_setsxp
ranksstringrequired

The ranks in the leaderboard in csv global,regional,country,state,city

currentRanksCurrentLeaderboardRank[] | nullrequired

The current ranks

Show properties
Array of CurrentLeaderboardRank
leaderboardstringrequired

The leaderboard of the best leaderboard

Allowed:appsapp_playtimeapp_valid_playtimeawards_givenawards_receivedbansgame_bansvac_bansdonationsfoil_badgesnormal_badgesbadgesplaytimevalid_playtimepoints_givenpoints_receivedsteam_setsxp
rankWeekAgointeger<int32>required

The global rank from the latest daily snapshot 7 to 14 days ago. 0 when there is no snapshot in that range.

min 0
ranksstringrequired

The ranks in the leaderboard in csv global,regional,country,state,city

totalsstringrequired

The total ranked players per scope, same order as ranks: global,regional,country,state,city

donatedinteger<int32>required

The total of donations the account has

min 0
economyBanstringrequired

The economy ban of the account

foilBadgesinteger<int32>required

The number of foil badges the account has

min 0
friendPrivacystringrequired

The privacy of the account

Allowed:privatepublicfriends_only
friendsinteger<int32>required

The number of friends the account has

min 0
gameBansinteger<int32>required

The number of game bans

min 0
lastBanDatestring<date-time> | nullrequired

The Last date the account got a ban on

lastQueueStatusstringrequired
Allowed:undefinedpendingin_progresscompleted
levelinteger<int32>required

The level of the account

min 0
miniBackgroundstringrequired

The mini background of the account

namestringrequired

The name of the account

nameEffectstringrequired

Donator name effect, none when unset or the account no longer holds an entitling role

Allowed:nonerainbowglitchshadowneonretrostampedshattertypewritervaporwavesunken
nextAllowedTimestring<date-time>required

The time the account is allowed to be refreshed

normalBadgesinteger<int32>required

The number of normal badges the account has

min 0
playtimeinteger<int32>required

The playtime of the account

min 0
pointsGiveninteger<int32>required

The number of points the account has

min 0
pointsReceivedinteger<int32>required

The number of points the account has

min 0
privacystringrequired

The privacy of the account

Allowed:privatepublicfriends_only
regionLeaderboardRegion | null

The region of the account

Show properties
namestringrequired

The name of the region

rolesRole[] | nullrequired

The roles of the account

Show properties
Array of Role
extrasobject | nullrequired

Extra data associated with the role

ratinginteger<int32>required

The higher the more presedence it has

rolestringrequired
Allowed:userdonatorstaffdeveloperpartnerowneramethystamberemeraldsapphirerubydiamondcontributorearly_supporterbetatranslatortop_100badge_scoutnitro_boosterastralnebula
shortlinkDomainstring | nullrequired

The shortlink domain of the account, is to be used with their steamsets vanity

stateLeaderboardState | null

The state of the account

Show properties
namestringrequired

The name of the state

steamIdstringrequired

The steam id

steamSetsScoreinteger<int32>required

The steam sets score

min 0
steamSetsVanitystringrequired

The vanity of the account

steamVanitystringrequired

The vanity of the account

supporterSupporterStatusrequired

Whether this account helps cover the monthly server costs

Show properties
activebooleanrequired

Donated this month

monthsinteger<int32>required

Total months with a donation

min 0
themestringrequired

The theme of the account

themeColorstring | nullrequired

Donator profile theme color as #RRGGBB (no alpha), null when unset or the account no longer holds an entitling role

updatedAtstring<date-time> | nullrequired

The time the account was updated

vacBansinteger<int32>required

The number of vac bans

min 0
xpinteger<int32>required

The number of xp the account has

min 0
400

Bad Request

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
401

Unauthorized

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
404

Not Found

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
422

Unprocessable Entity

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
500

Internal Server Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.steamsets.com/v1/account.getInfo' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": {
    "accountId": 0,
    "steamId64": "stringstringstrin"
  },
  "vanity": {
    "type": "steam",
    "value": "string"
  }
}'
Response
{
  "accountId": 123456,
  "animatedAvatar": "string",
  "appPrivacy": "public",
  "apps": 123456,
  "avatar": "f1a1d2c3d0c9d1e1f2f3f4f5f6f7f8f9",
  "avatarFrame": "string",
  "awardsGiven": 123456,
  "awardsReceived": 123456,
  "background": "string",
  "badges": 123456,
  "bans": 0,
  "city": {
    "name": "Bad Krozingen"
  },
  "communityBan": false,
  "connections": [
    {
      "avatar": "https://cdn.cloudflare.steamstatic.com/steamcommunity/public/images/avatars/f1/f1a1d2c3d0c9d1e1f2f3f4f5f6f7f8f9.jpg",
      "connectionId": "123456",
      "externalId": "123456",
      "failed": true,
      "hide": true,
      "name": "steamsets",
      "provider": "discord",
      "verified": true
    }
  ],
  "country": {
    "code": "DE",
    "name": "Germany"
  },
  "createdAt": "2023-01-01T00:00:00Z",
  "currentBestRanks": [
    {
      "leaderboard": "apps",
      "ranks": "1,1,1,1,1"
    }
  ],
  "currentRanks": [
    {
      "leaderboard": "apps",
      "rankWeekAgo": 12,
      "ranks": "1,1,1,1,1",
      "totals": "2844566,180244,90233,1200,42"
    }
  ],
  "donated": 123456,
  "economyBan": "steam",
  "foilBadges": 123456,
  "friendPrivacy": "public",
  "friends": 123456,
  "gameBans": 0,
  "lastBanDate": "2024-03-07 07:31:46",
  "lastQueueStatus": "undefined",
  "level": 123456,
  "miniBackground": "string",
  "name": "steamsets",
  "nameEffect": "rainbow",
  "nextAllowedTime": "2019-08-24T14:15:22Z",
  "normalBadges": 123456,
  "playtime": 123456,
  "pointsGiven": 123456,
  "pointsReceived": 123456,
  "privacy": "public",
  "region": {
    "name": "Europe"
  },
  "roles": [
    {
      "extras": {
        "property1": null,
        "property2": null
      },
      "rating": 0,
      "role": "user"
    }
  ],
  "shortlinkDomain": "steamsets.link",
  "state": {
    "name": "Baden-Wurttemberg"
  },
  "steamId": "76561198842603734",
  "steamSetsScore": 0,
  "steamSetsVanity": "steamsets",
  "steamVanity": "steamsets",
  "supporter": {
    "active": true,
    "months": 3
  },
  "theme": "steamsets",
  "themeColor": "#FF5733",
  "updatedAt": "2023-01-01T00:00:00Z",
  "vacBans": 0,
  "xp": 123456
}